Subject: RE: [Diffserv] CountActTable

From: "Joel M. Halpern" <[email-masked]>
Date: Wed, 04 Apr 2001 13:13:38 -0400

The Count Action is a diffserv packet handling action.  Including it in a 
configuration causes counting to be done.  It sure seems that this action 
ought to be configurable with the PIB, just like every other Diffserv 
packet handling action (Meter, Mark, Drop).  Otherwise, one would have to 
use SNMP to CONFIGURE this element in order to later use SNMP to retreive 
the counts.

This Action is not itself a counter that would go in an Accounting PIB, or 
only in an SNMP MIB.

Yours,
Joel M. Halpern

At 03:13 PM 4/4/01 +0000, Iliff, Tina wrote:

>Yacine,
>
>Like I said, it is just an assumption or a guess.  Someone else will have 
>to answer.  The Accounting PIB may be a good place for a 
>counter.  However, I have not taken a look at that draft in a while.
>
>Tina Iliff
>-----Original Message-----  From:   Yacine El Mghazli 
>[<mailto:[email-masked]>mailto:[email-masked] 
>l.fr]  Sent:   Wednesday, April 04, 2001 10:07 AM  To:     Iliff, Tina; 
>[email-masked]  Subject:        Re: [Diffserv] CountActTable
>
> > I am just guessing here but it makes more sense to me to only have a 
> count  > action in the MIB and not in the PIB.  I do not consider 
> counting of  packets  > traversing certain datapath functional elements a 
> piece of policy;  however,  > I do consider it as part of a network nodes 
> management.
>
>Do you mean that counting packets is only managed using SNMP ?
>
> > Tina Iliff  >  >  > -----Original Message-----  > From: Yacine El 
> Mghazli  > 
> [<mailto:[email-masked]>mailto:[email-masked]] 
 >   > Sent: Wednesday, April 04, 2001 7:39 AM  > To: [email-masked]  > 
> Subject: [Diffserv] CountActTable  >  > In the lattest DS PIB :  >  > 
> Quoted from the draft-ietf-diffserv-pib-03.txt (page 5) :  > > Action 
> Tables  > >      A general extensible framework and examples of  > 
> parameterization  > >      tables for Absolute Drop, Mark and Count 
> actions.  >  > and page 11 :  > > 4.5.1.  DSCP Mark Action PRC  > > 
> (...)  > > 4.5.2.  Absolute Drop Action  >  > So why is there no Count 
> Action Table in the PIB ?  > However there is an CountActTable in the 
> MIB...I feel  > confused.  >  > Thanx  >  > -- Yacine El Mghazli  >  > 
> ----------------------------------------------------------------------  > 
 >   Alcatel R&I  >   Software and Services Strategic Program - 
> VIPeR  >   Marcoussis, France  >   Tel  +33 1 69 63 41 87  >   Fax  +33 1 
> 69 63 11 69  >   [email-masked]  >  > 
> ----------------------------------------------------------------------  > 
 >  >  > _______________________________________________  > diffserv 
> mailing list  > [email-masked]  > 
> <http://www1.ietf.org/mailman/listinfo/diffserv>http://www1.ietf.org/mailm 
> an/listinfo/diffserv  > 
> Archive:  > 
> <http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillis 
> t.h>http://www2.ietf.org/mail-archive/working-groups/diffserv/current/mail 
> list.h  > tml  >

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html